<?php
session_start();
require('../fpdf/fpdf.php');
require('devolucion_plantilla.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

// Creación del objeto de la clase heredada
$pdf = new PDF_Invoice( 'P', 'mm', 'A4' );

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',10);
$pdf->Ln();



    $pdf->Image('../../../img/'.$empresa.'.png',10,5,60);
    //  $pdf->Image('../img/'.$empresa.'.jpg',75,15,60); 
    // Arial bold 15
    $pdf->SetFont('Arial','B',12);
    // Movernos a la derecha
    $pdf->Cell(70);
    $pdf->Cell(50,4,utf8_decode($emp_nombre),0,0,'C');
    $pdf->Ln();
    $pdf->SetFont('Arial','B',9);
    $pdf->Cell(70);
    $pdf->Cell(50,4,'Nit: '.$emp_nit,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(70);
    $pdf->Cell(50,4,utf8_decode("Régimen ").$emp_regimen,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(70);
    $pdf->Cell(50,4,$emp_direccion,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(70);
    $pdf->Cell(50,4,'E-mail:'.$emp_correo,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(70);
    $pdf->Cell(50,4,'Cel:'.$emp_cel.' / Tel:'.$emp_telefono,0,0,'C');
    $pdf->Ln(10);
   

$ven_id=$_GET['ven_id'];
$dev_id=$_GET['dev_id'];

$sql1=mysqli_query($con, "SELECT * from  devolucion where dev_id='$dev_id'");
$row1=mysqli_fetch_array($sql1);
$dev_n_dev=$row1['dev_n_dev'];

$pdf->fact_dev($dev_n_dev);
$pdf->Ln(25);

$devo_total=0;
$query=mysqli_query($con, "SELECT * , DATE_FORMAT(`ven_fecha`,'%d-%m-%Y') as ven_fecha FROM  ventas where   ven_id='$ven_id' and empresa='$empresa' ");
$roww=mysqli_fetch_array($query);
$ven_cc=$roww['ven_cc'];
$ven_nombre=$roww['ven_nombre'];
$ven_telefono=$roww['ven_telefono'];
$ven_n_venta=$roww['ven_n_venta'];
$ven_forma_de_pago=$roww['ven_forma_de_pago'];
$fecha=date('Y-m-d');





    $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(25,6,'RECIBIMOS DE' ,1,0,'C',1);
    $pdf->Cell(100,6,$ven_nombre,1,0,'C',1);
    $pdf->Cell(65,6,'FECHA',1,0,'C',1);
    $pdf->Ln();
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(25,6,'DOCUMENTO' ,1,0,'C',1);
    $pdf->Cell(38,6,$ven_cc,1,0,'C',1);
    $pdf->Cell(25,6,'TELEFONO' ,1,0,'C',1);
    $pdf->Cell(37,6,$ven_telefono ,1,0,'C',1);
    $pdf->Cell(65,6,$fecha,1,0,'C',1);
    $pdf->Ln(10);
    
    $pdf->SetFillColor(235,225,215);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(50,6,'REFERENCIA' ,1,0,'C',1);
    $pdf->Cell(70,6,utf8_decode('NOMBRE'),1,0,'C',1);
    $pdf->Cell(35,6,'CANTIDAD',1,0,'C',1);
    $pdf->Cell(35,6,'PRECIO',1,0,'C',1);
    $pdf->Ln();    


       $sumador_total=0;
       $to=0;
       $sql=mysqli_query($con, "SELECT * from  devolucion where dev_id='$dev_id'");

        while ($row=mysqli_fetch_array($sql))
          {
            $dev_fecha=$row['dev_fecha'];
            $dev_referencia=$row['dev_referencia'];
            $dev_nombre=$row['dev_nombre'];
            $dev_cantidad=$row['dev_cantidad'];
            $dev_precio=$row['dev_precio'];

            $precio_total=$dev_precio*$dev_cantidad;
           
            $sumador_total+=$precio_total;//Sumador
            
             $pdf->SetWidths(array(50,70,35,35));
              srand(time()*1000000);
              $pdf->Row(array($dev_referencia,$dev_nombre,$dev_cantidad,number_format($dev_precio,0)));
          }
           $to+=$sumador_total;

       

             
         
       

         
           $pdf->Ln(10);
            // Movernos a la derecha
            $pdf->Cell(60,2,'',0,0,'L');
            $pdf->Cell(60,0,'___________________________________',0,0,'L');
            $pdf->Cell(70,0,'___________________________________',0,0,'L');
            $pdf->Ln(2);

            $pdf->Cell(73);
            $pdf->Cell(60,2,'Cliente C.C',0,0,'L');
            $pdf->Cell(70,2,'Vendedor C.C',0,0,'L');
            $pdf->Ln(5);

           

    $pdf->Output();
?>